/*************************************************************************
 *
 *  OpenOffice.org - a multi-platform office productivity suite
 *
 *  $RCSfile$
 *
 *  $Revision$
 *
 *  last change: $Author$ $Date$
 *
 *  The Contents of this file are made available subject to
 *  the terms of GNU Lesser General Public License Version 2.1.
 *
 *
 *    GNU Lesser General Public License Version 2.1
 *    =============================================
 *    Copyright 2005 by Sun Microsystems, Inc.
 *    901 San Antonio Road, Palo Alto, CA 94303, USA
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License version 2.1, as published by the Free Software Foundation.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA  02111-1307  USA
 *
 ************************************************************************/
#ifndef _SVX_DLGFIXTXT_HXX
#define _SVX_DLGFIXTXT_HXX

// include ---------------------------------------------------------------
#ifndef _FIELD_HXX
#include <vcl/field.hxx>
#endif
#ifndef _FIELD_HXX
#include <vcl/fixed.hxx>
#endif
#ifndef _SFXPOOLITEM_HXX
#include <svtools/poolitem.hxx>	// SfxMapUnit
#endif
#ifndef INCLUDED_SVXDLLAPI_H
#include "svx/svxdllapi.h"
#endif

// -----------------------------------------------------------------------

// -------------------
// - MetricFixedText -
// -------------------

class SVX_DLLPUBLIC SvxMetricFixedText : public FixedText, public MetricFormatter
{
private:
	sal_Int64			mnValue;

public:
						SvxMetricFixedText( Window* pParent, const ResId& rResId );
	void				SetValue( sal_Int64 nNewValue, FieldUnit eInUnit );
	void				SetValue( long nCoreValue, SfxMapUnit eUnit );
	sal_Int64			GetValue( FieldUnit eOutUnit ) const;
	void				CustomConvert();
};

// -----------------------------------------------------------------------

// -----------------------
// - SvxNumericFixedText -
// -----------------------

class SVX_DLLPUBLIC SvxNumericFixedText : public FixedText, public NumericFormatter
{
public:
						SvxNumericFixedText( Window* pParent, const ResId& rResId );
	void				SetValue( sal_Int64 nNewValue );
};

#endif
